# OpalPluginCodecHandler Class Reference

`#include <opalpluginmgr.h>`

List of all members.

## Public Member Functions

| OpalPluginCodecHandler ()
virtual OpalMediaFormatInternal * | OnCreateAudioFormat (OpalPluginCodecManager &mgr, const PluginCodec_Definition *encoderCodec, const char *rtpEncodingName, unsigned frameTime, unsigned timeUnits, time_t timeStamp)

## Constructor & Destructor Documentation

OpalPluginCodecHandler::OpalPluginCodecHandler | ( |  | ) |

## Member Function Documentation

virtual OpalMediaFormatInternal* OpalPluginCodecHandler::OnCreateAudioFormat | ( | OpalPluginCodecManager & | mgr,
|  | const PluginCodec_Definition * | encoderCodec,
|  | const char * | rtpEncodingName,
|  | unsigned | frameTime,
|  | unsigned | timeUnits,
|  | time_t | timeStamp |
| ) |  |  | `[virtual]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h